<?php
/**
* @version      $Id: helper.php
* @package      My RSS Reader Scrolling News
* @copyright    Copyright (C) 2009 FalsinSoft. All rights reserved.
* @license      GNU/GPL
* @website      http://www.falsinsoft.co.nr
* @email        falsinsoft@gmail.com
* 
*/

defined('_JEXEC') or die('Restricted access');

class modMyRSSReaderScrollingNewsHelper
{
    function getNewFeeds($params)
    {
		$category_id = $params->get('category', '*');
		$db = &JFactory::getDBO();
				
		$query = 'SELECT rss.title, feed.item_title, feed.item_link, feed.item_date '
				.'FROM #__myrssreader AS rss, #__myrssreader_cache AS feed '
				.'WHERE feed.rss_id = rss.id AND rss.published = 1 ';

		if($category_id != '*')
		{
			if($category_id == '0')
				$query .= 'AND rss.id NOT IN(SELECT rss_id FROM #__myrssreader_category_rss) ';
			else
				$query .= 'AND rss.id IN(SELECT rss_id FROM #__myrssreader_category_rss WHERE category_id='.$category_id.') ';
		}
		
		$query .= 'ORDER BY feed.created DESC LIMIT '.$params->get('max_feeds', 10);
				
		$db->setQuery($query);
		
		$feeds_list = $db->loadObjectList();
		
		if($params->get('feed_order', 0) == 1) shuffle($feeds_list);
				
		return $feeds_list;
    }

	function getComponentColors($params)
	{
		$color->background = trim($params->get('background_color'));
		$color->text 	   = trim($params->get('text_color'));
		$color->border 	   = trim($params->get('border_color'));
		
		if(modMyRSSReaderScrollingNewsHelper::checkColorCode($color->background) == false) $color->background = '';
		if(modMyRSSReaderScrollingNewsHelper::checkColorCode($color->text) == false) $color->text = '';
		if(modMyRSSReaderScrollingNewsHelper::checkColorCode($color->border) == false) $color->border = '';
		
		return $color;
	}
	
	function checkColorCode($color_code)
	{
		if(strlen($color_code) == 7
		&& $color_code[0] == '#'
		&& preg_match('/^[a-fA-F0-9]+$/i', substr($color_code, 1)) != 0)
		{
			return true;
		}
		
		return false;
	}	
	
	function getRSSListToCheck($params)
	{
		$rss_check_list = array();
		
		if($params->get('rss_check', 0))
		{
			$category_id  = $params->get('category', '*');
			$minute_check = trim($params->get('rss_check_time', 60));
			$db = &JFactory::getDBO();
			
			if(!is_numeric($minute_check)) $minute_check = 60;
			
			$query = "SELECT id FROM #__myrssreader WHERE ";
			
			if($category_id != '*')
			{
				if($category_id == '0')
					$query .= 'id NOT IN(SELECT rss_id FROM #__myrssreader_category_rss) AND ';
				else
					$query .= 'id IN(SELECT rss_id FROM #__myrssreader_category_rss WHERE category_id='.$category_id.') AND ';
			}
			
			$query .= "published = 1 AND (last_check = '0000-00-00 00:00:00' OR (TIME_TO_SEC(TIMEDIFF(NOW(),last_check))/60) >= ".$minute_check.") ORDER BY last_check";
			
			$db->setQuery($query);
		
			$rss_check_list = $db->loadResultArray();
		}

		return $rss_check_list;
	}
}

?>

