<?php
/**
* @version      $Id: default.php
* @package      My RSS Reader - Scrolling News
* @copyright    Copyright (C) 2010 FalsinSoft. All rights reserved.
* @license      GNU/GPL2
* @website      http://www.falsinsoft.co.nr
* @email        falsinsoft@gmail.com
* 
*/

defined('_JEXEC') or die('Restricted access');

JHTML::_('script', 'ticker.js', 'modules/mod_myrssreader_scrolling_news/js/');

$feed_info = $params->get('feed_info', 't');

switch($params->get('scrolling_mode', 0))
{
	case 0:
	case 2:
		$direction = 'horizontal';
		break;
	case 1:
		$direction = 'vertical';
		break;
}
			  
?>

<style type="text/css">
#MyRSSReaderNews<?php echo $module->id; ?> 
{
border:solid <?php echo $params->get('border_size', 0); ?>px <?php echo $color->border; ?>;
background:<?php echo $color->background; ?>;
height:<?php echo $params->get('height', 0); ?>px;
display:block;
overflow:hidden;
position:relative;
}
#MyRSSReaderTicker<?php echo $module->id; ?>
{
display:block;
list-style:none;
margin:0;
padding:0;
}
#MyRSSReaderTicker<?php echo $module->id; ?> li 
{
display:block;
color:<?php echo $color->text; ?>;
text-align:left;
font-size:11px;
margin:0;
padding:6px;
float:left;
}
#MyRSSReaderTicker<?php echo $module->id; ?> li .NewsTitle
{
display:block;
color:<?php echo $color->text; ?>;
font-size:12px;
font-weight:bold;
margin-bottom:6px;
}
#MyRSSReaderTicker<?php echo $module->id; ?> li .NewsTitle a:link,
#MyRSSReaderTicker<?php echo $module->id; ?> li .NewsTitle a:Visited 
{
display:block;
color:<?php echo $color->text; ?>;
font-size:12px;
font-weight:bold;
margin-bottom:6px;
text-decoration:none;
}
#MyRSSReaderTicker<?php echo $module->id; ?> li .NewsTitle a:hover 
{
text-decoration:underline;
}
#MyRSSReaderTicker<?php echo $module->id; ?> li .NewsImg
{
float:left;
margin-right:10px;
}
#MyRSSReaderTicker<?php echo $module->id; ?> li .NewsFooter
{
display:block;
color:<?php echo $color->text; ?>;
font-size:10px;
margin:6px 0 14px 0;
}
</style>

<div id="MyRSSReaderNews<?php echo $module->id; ?>">
<ul id="MyRSSReaderTicker<?php echo $module->id; ?>">
<?php
if(count($feeds_list) == 0)
{
	echo '<li>No feeds found!</li>';
}
else
{
	if($direction == 'horizontal' && $params->get('horizontal_scrolling_line_mode', 1) == 0)
		$one_line_tag = 'style="float:left"';
	else
		$one_line_tag = '';

	$footer = array('','');

	foreach($feeds_list as $feed)
	{
		echo '<li>';
		
		if($params->get('title_link', 1))
			$feed_data = '<span class="NewsTitle" '.$one_line_tag.'><a href="'.$feed->item_link.'" target="_blank">'.$feed->item_title.'</a></span>';
		else
			$feed_data = '<span class="NewsTitle" '.$one_line_tag.'>'.$feed->item_title.'</span>';

		for($len = strlen($feed_info), $i = 1; $i < $len; $i++)
		{
			switch($feed_info[$i])
			{
				case 'd':
					$footer[$i-1] = JHTML::_('date', $feed->item_date, JText::_('DATE_FORMAT_LC2'));
					break;
				case 's':
					$footer[$i-1] = '<strong>'.$feed->title.'</strong>';
					break;
			}
		}
		
		if($direction == 'vertical')
		{
			$feed_data .= '<span class="NewsFooter">'.$footer[0].'<br>'.$footer[1].'</span>';
		}
		else
		{
			if($params->get('horizontal_scrolling_line_mode', 1))
			{
				$feed_data .= '<span class="NewsFooter">'.$footer[0].'<br>'.$footer[1].'</span>';
			}
			else
			{
				$feed_data .= '<span class="NewsFooter" '.$one_line_tag.'>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;'.$footer[0].'&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;'.$footer[1].'</span>';
			}
		}
		
		echo $feed_data;
		
		echo '</li>';
	}
}
?>
</ul>
</div>

<script type="text/javascript">
<?php echo 'var MyRSSReaderTicker'.$module->id.' = new Ticker("MyRSSReaderTicker'.$module->id.'",{speed:('.$params->get('scrolling_speed', 2).'*1000),delay:('.$params->get('scrolling_delay', 4).'*1000),direction:"'.$direction.'"});'; ?>
$('MyRSSReaderTicker<?php echo $module->id; ?>').addEvent('mouseenter', function() {MyRSSReaderTicker<?php echo $module->id; ?>.pause();});
$('MyRSSReaderTicker<?php echo $module->id; ?>').addEvent('mouseleave', function() {MyRSSReaderTicker<?php echo $module->id; ?>.resume();});
</script>

<?php

if(count($rss_check_list) > 0)
{
	$com_params = &JComponentHelper::getParams('com_myrssreader');
	$checker = 'MyRSSReaderScrollingNewsChecker'.$module->id;
	
	JHTML::_('script', 'rss_checker.js', 'modules/mod_myrssreader_scrolling_news/js/');
	
	echo '<script type="text/javascript">';
	echo $checker.' = new MyRSSReaderScrollingNewsChecker();';
	echo $checker.'.RSSList = [';
	for($n = count($rss_check_list), $i = 0; $i < $n; $i++)
	{
		echo $rss_check_list[$i];
		if(($i+1) < $n) echo ',';
	}
	echo '];';
	echo $checker.'.RootPath = "'.JURI::root().'";';
	echo $checker.'.MaxFeeds = '.$com_params->get('max_feeds_per_rss', 10).';';
	echo $checker.'.MaxErrors = '.$com_params->get('max_error_retry', 3).';';
	echo $checker.'.CallbackCheckFunc = function() { '.$checker.'.CheckNextRSSFeeds(); };';
	echo $checker.'.CheckRSSFeeds();';
	echo '</script>';
}

?>